Skip to Content

SAPGUI for Java 7.40 rev 12 Error

Hello, After installing ABAP AS 751 SP02 I try installing SAPGUI for Java 7.40 rev 12 and get error Installation Failed: Failed to install native resource: Linux-lib.jar?

Installing on openSUSE Linux

JDK version 1.8.0_161 is installed by default.

Any advice please?

Thank You, Kay S

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Best Answer
    Mar 29 at 09:53 PM

    OK, I think we are getting somewhere.

    The problem is, that you download the whole package of SAP Netweaver Developer Edition, that contain both server and client packages. Unfortunately, this archive consists of SAP GUI for MacOS and Windows. There is no file for Linux.

    Now, when I understand the limitations (do I assume correctly that you don't have access to the SAP Support Launchpad?), what I can offer as a workaround is to download an earlier version of the SAP Netweaver Developer Edition -> 7.50 SP2.

    I had a quick look and from what I can see there is SAP GUI for Linux:

    2018-03-29-22-49-04-d-downloads-sap-netweaver-as-a.png

    You can download the software from SAP Store - I think you did the same with the previous release:

    https://store.sap.com/sap/cp/ui/resources/store/html/SolutionDetails.html?pid=0000014492&catID=&pcntry=DE&sap-language=EN&_cp_id=id-1477346420741-0

    Please try this solution.

    Add comment
    10|10000 characters needed characters exceeded

  • Mar 29 at 06:33 PM

    Hi,

    Instead of creating the same question for the third time you should answer to the previous one.

    Please paste the results of following command:

    java —version

    Also, please provide the exact file name of the SAP GUI.

    Add comment
    10|10000 characters needed characters exceeded